Name: OffiX-Dnd
Version: 1.1
Release: alt6

%define lname libDnd

Summary: OffiX Drag'n'Drop protocol library
License: LGPL
Group: System/Libraries
URL: http://www.leb.net/OffiX

Packager: Sir Raorn <raorn@altlinux.ru>

Source: %url/dnd.%version.tgz
Patch: DND-autotools.patch

# Automatically added by buildreq on Mon Oct 21 2002
BuildRequires: XFree86-devel-static XFree86-libs gcc-c++ glibc-devel-static libstdc++-devel xpm

%description
Dnd is a drag and drop protocol developed by C'esar Crusius.

%package -n %lname
Summary: OffiX Drag'n'Drop protocol library
Group: System/Libraries

%description -n %lname
Dnd is a drag and drop protocol developed by C'esar Crusius.

%package -n %lname++
Summary: OffiX Drag'n'Drop protocol library
Group: System/Libraries

%description -n %lname++
Dnd is a drag and drop protocol developed by C'esar Crusius.
C++ version.

%package -n %lname-common-devel
Summary: Headers for OffiX Drag'n'Drop protocol library
Group: Development/Other
Requires: %lname = %version-%release, %name-devel = %version-%release

%description -n %lname-common-devel
Dnd is a drag and drop protocol developed by C'esar Crusius.

This package contains development headers needed to built programs using
OffiX Dnd library.

%package -n %lname-devel
Summary: Headers for OffiX Drag'n'Drop protocol library
Group: Development/C
Requires: %lname = %version-%release, %lname-common-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %lname-devel
Dnd is a drag and drop protocol developed by C'esar Crusius.

This package contains development libraries needed to built programs using
OffiX Dnd library.

%package -n %lname++-devel
Summary: Headers for OffiX Drag'n'Drop protocol library
Group: Development/C++
Requires: %lname++ = %version-%release, %lname-common-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %lname++-devel
Dnd is a drag and drop protocol developed by C'esar Crusius.
C++ version.

This package contains development libraries needed to built programs using
OffiX Dnd library.

%package -n %lname-devel-static
Summary: Static OffiX Drag'n'Drop protocol library
Group: Development/C
Requires: %lname-devel = %version-%release

%description -n %lname-devel-static
Dnd is a drag and drop protocol developed by C'esar Crusius.

This package contains static OffiX Dnd libraries.

%package -n %lname++-devel-static
Summary: Static OffiX Drag'n'Drop protocol library
Group: Development/C++
Requires: %lname++-devel = %version-%release

%description -n %lname++-devel-static
Dnd is a drag and drop protocol developed by C'esar Crusius.
C++ version.

This package contains static OffiX Dnd libraries.

%package docs
Summary: Documentation for for OffiX Drag'n'Drop protocol library
Group: Books/Computer books

%description docs
Dnd is a drag and drop protocol developed by C'esar Crusius.

This package contains documentation for for OffiX Drag'n'Drop protocol
library.

%prep
%setup -q -n DND
%patch -p1
%__libtoolize
aclocal
autoheader
automake --add-missing
autoconf

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%_x11dir
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig
%post -n %lname++ -p %post_ldconfig
%postun -n %lname++ -p %postun_ldconfig

%files -n %lname
%doc COPYING.LIB Copyright DNDlib/README DNDlib/CHANGELOG
%_x11libdir/%lname.so.*

%files -n %lname++
%doc COPYING.LIB Copyright DNDlib/README DNDlib/CHANGELOG
%_x11libdir/%lname++.so.*

%files -n %lname-common-devel
%_x11includedir/*

%files -n %lname-devel
%_x11libdir/%lname.so
%_x11libdir/%lname.la

%files -n %lname++-devel
%_x11libdir/%lname++.so
%_x11libdir/%lname++.la

%files -n %lname-devel-static
%_x11libdir/%lname.a

%files -n %lname++-devel-static
%_x11libdir/%lname++.a

%files docs
%doc DNDdoc/README DNDdoc/DND*

%changelog
* Mon Oct 21 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt6
- rebuild with gcc3
- added packager Tag

* Mon Aug 05 2002 Sir Raorn <raorn@altlinux.ru> 1.1-alt5
- Now really fixed build on SMP systems...

* Thu Aug 01 2002 Sir Raorn <raorn@altlinux.ru> 1.1-alt4
- Fixed build deps for dndtest

* Tue Jul 30 2002 Sir Raorn <raorn@altlinux.ru> 1.1-alt3
- Splitted into C and C++ versions

* Tue Jul 30 2002 Sir Raorn <raorn@altlinux.ru> 1.1-alt2
- Fixed %%post/%%postun scripts

* Tue Jul 30 2002 Sir Raorn <raorn@altlinux.ru> 1.1-alt1
- Built for Sisyphus

